Subject: bug#15647: 24.3.50; python.el does not clean up temp file

From: Glenn Morris <[email-masked]>
Date: Sun, 20 Oct 2013 14:27:46 -0400

Eli Zaretskii wrote:

> In fact, in this case, even on Unix this proposal will cause trouble,
> because the command sent to Python might take time to execute on the
> Python side, and we might already have deleted the file when Python
> tries to open it.

Whut?
It's python itself that deletes the file, as the last thing in the file.
So it's already done whatever it was supposed to actually do.
It's like a self-deleting shell script.
FWIW, the patch looks fine to me (I say this was zero testing of it).